import dynamix_sdk.base as _base


class CloudbrokerComputeStopMigrationOutResultStr(
    _base.BaseAPIResultStr,
):
    pass


class CloudbrokerComputeStopMigrationOutProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def stop_migration_out(
        self,
        *,
        vm_id: int,
        migrate_to_uri3_job_id: str | None = None,
    ) -> CloudbrokerComputeStopMigrationOutResultStr:
        ...
